Bug 1431842 - Service requests show none with "refresh" buttons instead of selected values
Summary: Service requests show none with "refresh" buttons instead of selected values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.2
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service
Depends On: 1428171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 20:31 UTC by Satoe Imaishi
Modified: 2020-04-15 15:29 UTC (History)
11 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1428171
Environment:
Last Closed: 2017-04-12 14:34:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-13 20:40:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/541d212d101bff07fa6d855401a16fc06c8ef75a

commit 541d212d101bff07fa6d855401a16fc06c8ef75a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Mar 13 11:55:47 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 13 16:31:11 2017 -0400

    Merge pull request #14219 from eclarizio/BZ1428171
    
    Fix for Service requests show none with "refresh" buttons instead of selected values
    (cherry picked from commit 1502dc068b0a3738edd0d427425b03cc4334be8b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431842

 app/models/dialog.rb                         |  6 ++++++
 app/models/resource_action_workflow.rb       | 10 ++++++---
 spec/models/dialog_spec.rb                   | 23 ++++++++++++++++++++
 spec/models/resource_action_workflow_spec.rb | 32 ++++++++++++++++++++++++++++
 4 files changed, 68 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2017-03-13 20:41:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/43c1816332f775e912b405f497cf1cf5f82307d3

commit 43c1816332f775e912b405f497cf1cf5f82307d3
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Mar 13 13:19:08 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 13 16:39:59 2017 -0400

    Merge pull request #614 from eclarizio/BZ1428171
    
    Fix for Service requests show none with "refresh" buttons instead of selected values
    (cherry picked from commit f1ed389bf94df35e5cdd448067d96b2f81a9d7bf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431842

 app/views/miq_request/_st_prov_show.html.haml                   | 2 +-
 app/views/shared/dialogs/_dialog_field_drop_down_list.html.haml | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 5 Shveta 2017-03-30 19:44:14 UTC
Fixed in 5.7.2.0.20170321181409_349f1b1

Comment 6 errata-xmlrpc 2017-04-12 14:34:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.